Updates the territory with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "997f26b9-edad-4d9e-8d7e-957a19299968",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "67a7443e-ac7b-49ff-b847-f376d1805650",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "23de85b3-44f1-4a05-a337-9aabf948a6af",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "166a7eb2-6639-4176-8ad7-8dd04bf3e03d",
    "db_currency_id": "6e08594b-614c-415b-8399-15586ef83b16",
    "db_language_id": "09000564-7f12-4f2d-ac1f-a827a6628687",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-03-24T07:12:47.2660826+00:00"
  },
  "modified_dateutc": "2026-03-24T07:12:47.2660826+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.